import dynamix_sdk.base as _base


class CloudapiVinsIpReleaseResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiVinsIpReleaseProtocol(_base.BasePostAPIFunctionProtocol):
    def ip_release(
        self,
        *,
        vins_id: int,
        ip_addr: str | None = None,
        mac: str | None = None,
    ) -> CloudapiVinsIpReleaseResultBool:
        ...
